Page MenuHomePhabricator

Mass account creation at editaton
Closed, ResolvedPublic

Description

Hi all - I'm working with SMEX, helping organize an editathon to add the newly elected members of the Lebanese parliament in Lebanon into Wikipedia and Wikidata. As recommended in the How To Run an Editathon page, I'm requesting a temporary lift of IP cap.

Details about the event:

  • Time frame: 15 and 22 September, 09:00-17:00 UTC+03:00 (Beirut time).
  • The IPs to allow: 94.187.48.185 (I don't think there are others at our venue).
  • Expected number of participants: no more than 30.
  • List of wikis: English, Arabic, French, and Wikidata.
  • Wiki page for event, here.

Event Timeline

majdal created this task.Sep 3 2018, 1:04 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 3 2018, 1:04 PM
Urbanecm claimed this task.Sep 3 2018, 1:56 PM
Urbanecm triaged this task as Medium priority.
Urbanecm added a subscriber: Urbanecm.

Ok, going to process. Thank you for notifying us in advance.

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptSep 3 2018, 1:56 PM

Change 457464 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Two throttle rules for SMEX editathon

https://gerrit.wikimedia.org/r/457464

Recapitulation: Setting two throttle exeptions, defined as follows:

From: 2018-09-15T09:00 +3:00
To: 2018-09-15T17:00 +3:00
IP: 94.187.48.185
Wikis: 'enwiki', 'arwiki', 'frwiki', 'wikidatawiki'
Value: 30

From: 2018-09-22T09:00 +3:00
To: 2018-09-22T17:00 +3:00
IP: 94.187.48.185
Wikis: 'enwiki', 'arwiki', 'frwiki', 'wikidatawiki'
Value: 30

Should anything above be wrong, please let me know in a comment before September 04, 11:00 UTC. Thank you.

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Sep 3 2018, 2:27 PM

Change 457464 merged by jenkins-bot:
[operations/mediawiki-config@master] Two throttle rules for SMEX editathon

https://gerrit.wikimedia.org/r/457464

Mentioned in SAL (#wikimedia-operations) [2018-09-04T11:06:02Z] <hashar@deploy1001> Synchronized wmf-config/throttle.php: Two throttle rules for SMEX editathon - T203392 (duration: 00m 51s)

Urbanecm closed this task as Resolved.Sep 4 2018, 1:35 PM
Urbanecm moved this task from To deploy to To deploy - scheduled for SWAT on the User-Urbanecm board.

Deployed.

majdal added a comment.Sep 4 2018, 8:33 PM

Great. Thank you all!